[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.CloseUp

Closes the drop down displayed for the control.

## Declaration

Source position: comboex.pas line 299

`protected procedure TCustomCheckCombo.CloseUp; override;`

## Description

CloseUp is overridden in TCustomCheckCombo to use the internal member which tracks the visibility for the drop down portion of the control. When it is already visible, the flag value is toggled and the Update method is called to refresh the control. Otherwise, the inherited method is called to perform actions defined in the ancestor class.

Use the DropDown method to make the drop down portion of control visible.

## See also

TCustomComboBox.DropDown |  | Signals the OnDropDown event handler.
TCustomComboBox.CloseUp |  | Called when the drop-down list is closed.
TWinControl.Update |  | Redraws invalidated parts of the control immediately.